#
# spec file for package python-manuel
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013-2018 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-manuel
Version:        1.9.0
Release:        lp150.1.1
Summary:        Build tested documentation
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.python.org/pypi/manuel
Source:         https://files.pythonhosted.org/packages/source/m/manuel/manuel-%{version}.tar.gz
# add fixed sphinx config <hpj@urpla.net>
Source1:        conf.py
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
# Documentation requirements:
BuildRequires:  %{python_module Sphinx}
# Testing requirements:
BuildRequires:  %{python_module zope.testing}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Manuel lets you build tested documentation.

Documentation, a full list of included plug-ins, and examples are available
with the -doc package and at http://packages.python.org/manuel/.

%package        doc
Summary:        Build tested documentation
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description    doc
This package contains documentation files for %{name}.

%prep
%setup -q -n manuel-%{version}
cp %SOURCE1 .

%build
%python_build
%{_python_use_flavor python3}
%__python3 setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py -q test

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES.rst COPYRIGHT.rst LICENSE.rst PKG-INFO README.rst
%{python_sitelib}/*

%files %{python_files doc}
%defattr(-,root,root,-)
%doc build/sphinx/html

%changelog
* Wed Feb 28 2018 hpj@urpla.net
- update to version 1.9.0:
  * You can now use Manuel with the nose and pytest test runners by
    defining Manuel tests inside unittest.TestCase classes.
  * Added support for Python 3.5 and Python 3.6.
  * Dropped support for Python 2.6
- add a fixed conf.py in order to properly build the docs (again)
* Fri Jun 23 2017 aloisio@gmx.com
- Converted to single-spec
* Thu May  7 2015 benoit.monin@gmx.fr
- update to version 1.8.0:
  * Fixed ResourceWarnings under Python 3.
  * Added support for PyPy and Python 3.4.
  * Drop official support for Python 3.1 and 3.2.
  * Fix odd ImportError problems when used with tox and coverage.
  * Fix parsing of reST codeblock options with hyphens.
- rename documentation files .txt to .rst: changed upstream
* Sat Aug  3 2013 hpj@urpla.net
- version 1.7.2: initial build
